import type { _NSObject } from "../Foundation/NSObject.js";
import type { _GCButtonElement } from "./GCButtonElement.js";
import type { _GCDevicePhysicalInputState } from "./GCDevicePhysicalInputState.js";
import type { _GCGearShifterElement } from "./GCGearShifterElement.js";
import type { _GCSteeringWheelElement } from "./GCSteeringWheelElement.js";
export declare class _GCRacingWheelInputState extends _NSObject {
    static alloc(): _GCRacingWheelInputState;
    static new(): _GCRacingWheelInputState;
    init(): _GCRacingWheelInputState;
    /** The steering wheel element. */
    wheel(): _GCSteeringWheelElement;
    acceleratorPedal(): _GCButtonElement | null;
    brakePedal(): _GCButtonElement | null;
    clutchPedal(): _GCButtonElement | null;
    /**
     * The element representing an attached gear shifter accessory. Note that this element only represents an external gear shifter accessory. Many racing wheels have a pair of built in paddle buttons that can be used for sequential gear shifting. Those buttons are can be looked up with the and input names.
     */
    shifter(): _GCGearShifterElement | null;
}
export interface _GCRacingWheelInputState extends _GCDevicePhysicalInputState {
}
